# Sign up for a Mini Store account
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/register/register_shop?component_access_token=xxxxxxxxx
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| wx_name | string | yes | WeChat No. |
| id_card_name | string | yes | ID Name |
| id_card_number | string | yes | ID number |
| channel_id | string | no | Channel number, See here for details |
| api_openstore_type | number | yes | 2- Components open (open Weixin Mini Program, and have a complete embedded e-commerce function) |
| auth_page_url | string | no | Authorization page url, See here |
# Example of request parameters
{
"wx_name": "xxx",
"id_card_name": "张三",
"id_card_number": "121321412",
"channel_id":"abcdxxx",
"api_openstore_type": 1
}
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok"
}
# Return code
| 返回码 | Error Type |
|---|---|
| -1 | System exceptions |
| -2 | Token too long |
| 10005 | Real-name authentication failed, please check whether the identity card, WeChat number and name match |